You are Here:
Linux Lite 5.2 RC1 is now available for download and testing



Canon Pixma G2010 is OK in LL 5.0 but not in LL4.8

Author (Read 1484 times)

0 Members and 4 Guests are viewing this topic.

Canon Pixma G2010 is OK in LL 5.0 but not in LL4.8
« on: June 28, 2020, 08:35:16 PM »
 

johnausten13

  • New to Forums
  • *
  • 44
    Posts
  • Country: ph
  • Reputation: 3
  • Linux Lite Member

  • Linux Lite: 5.0 64bit

  • CPU: E7500 @ 2.93Ghz

  • MEMORY: 6Gb

  • VIDEO CARD: Integrated

  • Kernel: 5.x
One of the reasons I upgraded to LL 5.0 is because I read somewhere online that my All-in-One  Canon Pixma G2010 Scanner and Copier will work immediately and without a hassle. And it is true. I'm thankful for the developer since I don't have to switch to another scanner just for the scanning job (using Canon Pixma MP 237).

I'm just wondering why Canon Pixma G2010 Scanner does not work in LL 4.8 even though I installed the latest scangearmp2 package? The printing job works fine.  Even X-sane cannot detect G2010. The only software driver that was able to detect G2010 was VueScan but the watermark in every scan is atrocious.

I didn't have an issue with my MP 237 for the printing,scanning, and copying jobs but I seldom use it because it is an ink monster.



Last Edit: June 28, 2020, 08:36:49 PM by johnausten13
 


Re: Canon Pixma G2010 is OK in LL 5.0 but not in LL4.8
« Reply #1 on: June 28, 2020, 10:30:05 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 7763
    Posts
  • Country: nz
  • Reputation: 732
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 5.0 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 1650

  • Kernel: 5.x
 

Re: Canon Pixma G2010 is OK in LL 5.0 but not in LL4.8
« Reply #2 on: June 28, 2020, 11:00:36 PM »
 

johnausten13

  • New to Forums
  • *
  • 44
    Posts
  • Country: ph
  • Reputation: 3
  • Linux Lite Member

  • Linux Lite: 5.0 64bit

  • CPU: E7500 @ 2.93Ghz

  • MEMORY: 6Gb

  • VIDEO CARD: Integrated

  • Kernel: 5.x
Start at 3. - https://seegatesite.com/driver-printer-canon-pixma-g2010-ubuntu/

Thanks Jerry. I tried this in LL 4.8. Same result with my scanner - it was not detected. The printing part works fine though. From what I remember, this is the message when I typed in the Terminal:

Code: [Select]
scanimage -L


In addition, I didn't explore further about the 'backend' issue when I tried to find some workaround online using other options such as ScanGear and this what I called the GutenPrint. Some say that ScanGear is frontend to Sane and that ScanGear does not provide backend to Sane. I don't understand these mechanisms so I just opted to use my spare scanner instead (MP237 All-in-One).
Last Edit: June 28, 2020, 11:03:47 PM by johnausten13
 


Tags:
 


Linux Lite 5.2 RC1 is now available for download and testing